Tecnologias certificadas de virtualização e particionamento para versões de produtos Oracle Database e RAC

Sistemas operacionais Unix, Linux e Windows

Esta página contém informações sobre tecnologias certificadas de virtualização e particionamento para as versões de produtos Oracle Database e Oracle Real Application Clusters (RAC) .

Observação geral: o Oracle Database é certificado principalmente no sistema operacional (SO).  Se um fornecedor de SO lançar uma versão mais recente do SO juntamente com uma tecnologia de particionamento e/ou virtualização complementar, o suporte desta nova combinação dependerá do seguinte:

  • O novo SO deve ser certificado pela Oracle.
  • A compatibilidade do novo SO mais a solução de virtualização/particionamento com a versão listada na tabela abaixo é garantida pelo fornecedor do hardware apropriado.

Observações adicionais:

A tabela a seguir identifica as tecnologias certificadas virtualização/particionamento para Oracle Database e Oracle RAC: 

Plataforma Tecnologia de virtualização Sistema Operacional Versões certificadas do Oracle Single Instance Database Versões certificadas de versões do Oracle RAC Database 
Oracle Solaris Sparc Domínio dinâmico Solaris 9
  • 10gR2
  • 11gR1
  • 10gR2
  • 11gR1
Solaris 10
  • 10gR2
  • 11gR1 Nota
  • 11gR2
  • 12cR1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1
Solaris 11
OVM para SPARC (anteriormente conhecido como LDoms) Solaris 10
Solaris 11
OVM para migração dinâmica do SPARC Solaris 10
  • Não
Solaris 11
  • Não
Oracle Solaris Containers Solaris 10
Oracle Solaris Zones Solaris 11
Oracle Solaris 8 Branded Zone Oracle Solaris 9 Branded Zone Solaris 10
  • N/D
Zona do Oracle Solaris 10 Solaris 11
  • 10gR2 (>=10.2.0.5) Nota
  • 11gR1 (>=11.1.0.7) Nota
  • 11gR2 (>=11.2.0.3) Nota
Oracle Solaris x86-64 Oracle Solaris Containers Solaris 10
Oracle Solaris Zones Solaris 11
Oracle Solaris Kernel Zones Solaris 11
Zona do Oracle Solaris 10 Solaris 11
  • 10gR2 (10.2.0.5) Nota
  • 11gR2 (11.2.0.3) Nota
Oracle VM Server for x86-64 Solaris 10
Solaris 11  
IBM AIX Power Partições lógicas dinâmicas (DLPAR), incluindo
  • Reconfiguração dinâmica de partição
  • Micropartições
  • Processadores compartilhados
AIX 5.3
  • 10gR2
  • 11gR1
  • 11gR2
  • 10gR2
  • 11gR1
  • 11gR2
AIX 6.1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.2)
AIX 7.1
AIX 7.2
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 12cR2
  • 19c (19.3+)
  • 11gR2
  • 12cR1 (12.1.0.2)
  • 12cR2
  • 19c (19.3+)
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
Partições lógicas (LPAR), incluindo
  • Micropartições
  • Processadores compartilhados
AIX 5.3
  • 10gR2
  • 11gR1
  • 11gR2
  • 10gR2
  • 11gR1
  • 11gR2
AIX 6.1
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1
  • 12cR2
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1
  • 12cR2
AIX 7.1
AIX 7.2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c (18.3+)
  • 19c (19.3+)
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c (18.3+)
  • 19c (19.3+)
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
Migração de partição dinâmica (LPM) Veja as observações sobre a certificação com ASM ou GPFS para armazenamento de dados AIX 5.3
  • Não
AIX 6.1
AIX 7.1
AIX 7.2
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
Partição da carga de trabalho (WPAR) AIX 6.1
  • Não
AIX 7.1
AIX 7.2
  • 11gR2 Nota
  • 12cR1 (12.1.0.2) Nota
  • 12cR2 (12.2.0.1) Nota
  • 19c (19.3+)
  • Não
AIX 7.3
  • 19c (19.13+)
  • Não
Expansão de memória ativa (AME) AIX 6.1
AIX 7.1
AIX 7.2
AIX 7.3
  • 19c (19.13+)
  • 19c (19.13+)
HP-UX Itanium VM de integridade Convidado HP-UX 11.31 ou HP-UX 11.23
  • 9iR2 (>=HPVM 3.5) Nota
  • 10gR1 (>=HPVM 3.5) Nota
  • 10gR2 (>=HPVM 3.5) Nota
  • 11gR1 (>=HPVM 4.0) Nota
  • 11gR2 (>=HPVM 4.2) Nota
  • 12cR1 (>=HPVM 6.2) Nota
  • 12cR2 (>=HPVM 6.3) Nota
  • 18c (>=HPVM 6.3) Nota
  • 19c (>=HPVM 6.3) Nota
  • Não
Migração dinâmica da VM de integridade Convidado HP-UX 11.31 ou HP-UX 11.23
  • 10gR2 (>=10.2.0.4) (>=HPVM 4.1) Nota
  • 11gR1 (>=HPVM 4.1) Nota
  • 11gR2 (>=HPVM 4.2) Nota
  • Não
Contêineres (SRP) HP-UX 11.31
  • N/D
nPartição (nPAR) estática HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.1 ou posterior)
  • 12cR2
  • 18c
  • 19c
HP-UX 11.23
  • 10gR2
  • 11gR1
nPartição (nPAR) dinâmica HP-UX 11.31
  • 10gR2
HP-UX 11.23
  • Não
Partições virtuais (vPAR) estáticas HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
  • 12cR1 (12.1.0.1 ou posterior)
  • 12cR2
  • 18c
  • 19c
HP-UX 11.23
  • 10gR2
  • 11gR1
Partições virtuais (vPAR) dinâmicas HP-UX 11.31
HP-UX 11.23
  • 10gR2 (>=10.2.0.3)
  • 11gR1
HP PA-RISC nPartição (nPAR) estática HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2
  • 11gR1
nPartição (nPAR) dinâmica HP-UX 11.31
  • Não
HP-UX 11.23
  • Não
Contêineres (SRP) HP-UX 11.31
  • Não
Partições virtuais (vPAR) estáticas HP-UX 11.31
  • 10gR2
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2
  • 11gR1
Partições virtuais (vPAR) dinâmicas HP-UX 11.31
  • 10gR2 (10.2.0.3)
  • 11gR1
  • 11gR2
HP-UX 11.23
  • 10gR2 (10.2.0.3)
  • 11gR1
Linux x86 Oracle VM Oracle VM v2
Oracle VM v3
Migração dinâmica do Oracle VM Oracle VM v2
Linux x86-64
Oracle VM
Oracle VM v3
Migração dinâmica do Oracle VM Oracle VM v2
Partições lógicas (LPAR) OL e RHEL
Oracle Linux Containers (LXC) OL6 e OL7
  • 12cR1 (12.1.0.2) Nota
  • 12cR2 (12.2.0.1) Nota
  • 12cR1 (12.1.0.2) Nota
  • 12cR2 (12.2.0.1) Nota

Contêineres Docker

OL7 (UEK4+) / RHEL7

Máquina virtual baseada em Kernel (KVM)
 
OL7
  • 12cR1 (12.1.0.2) Nota
  • 18c (18.x) Nota
  • 19c (19.x) Nota
  • 21c (21.x)
  • 12cR1 (12.1.0.2) Nota
  • 18c (18.x) Nota
  • 19c (19.x) Nota
  • 21c (21.x)
OL8
  • 19c (19.x) Nota
  • 21c (21.x)
  • 19c (19.x) Nota
  • 21c (21.x)
Linux on Power Partições lógicas dinâmicas (LPAR) DLPAR com shared pool e micropartições
RHEL
SLES
  • 10gR2
  • 10gR2
IBM System z LPARs z/VM e System z
RHEL
SLES
  • 10gR2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c
  • 19c
  • 10gR2
  • 11gR2
  • 12cR1
  • 12cR2
  • 18c
  • 19c
Microsoft Windows x86-64 Microsoft Hyper-V Server 2022 Windows Server 2022
(Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019
(Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016
(Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Microsoft Windows x86-64
cont.
Microsoft Hyper-V Server 2019 Windows Server 2022
(Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019
(Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016
(Geração 1 e 2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Sever 2012 R2
(Geração 1 e 2)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
Windows Server 2012 R2
(Geração 1)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
     
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
Microsoft Windows x86-64 cont. Microsoft Hyper-V Server 2016 Windows Server 2022 (Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2019 (Geração 1 e 2)
  • 19c (19.x)
  • 21c (21.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2016 (Geração 1 e 2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 21c (21.x)
Windows Server 2012 R2 (Geração 1 e 2)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
     
Windows Server 2012 R2 (Geração 1)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
     
Microsoft Windows x86-64 cont. Microsoft Hyper-V Server 2012 e 2012 R2 Windows Server 2008 R2
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.0.2)  
  • Não
Windows Server 2012
  • 11gR2 (11.2.0.4)
  • 12cR1 (12.1.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 11gR2 (11.2.0.4)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
Windows Server 2012 R2 (Geração 1)
  • 11gR2 (11.2.0.4)
  • 11gR2 (11.2.0.4)
Windows Server 2012 R2 (Geração 1 e 2)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR1 (12.1.0.2)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
Windows Server 2016 (Geração 1 e 2) apenas para Hyper-V 2012 R2
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
  • 12cR2 (12.2.0.1)
  • 18c (18.x)
  • 19c (19.x)
Oracle VM 3 Windows Server 2012 e 2012 R2
  • 12cR2 Nota
  • 18c (somente Windows 2012 R2)
  • 19c (somente Windows 2012 R2)
  • 12cR2 Nota
  • 18c (somente Windows 2012 R2)
  • 19c (somente Windows 2012 R2)
Windows Server 2016
  • 12cR2 Nota
  • 18c
  • 19c
  • 12cR2 Nota
  • 18c
  • 19c
Windows Server 2019
  • 19c
  • 19c
Partições lógicas (LPAR) Windows x86-64

Notas do Oracle Solaris Sparc

  • Para 11gR1, aplique o patch Oracle 8799617 e o patch do SO 138888-07 no Solaris 10 10/08 (atualização 6) ou posterior.
  • O Oracle Solaris Dynamic Domains é compatível com Oracle Single Instance e RAC 11gR2 (11.2.0.3 e superior) no Solaris 11.
  • A Oracle oferece suporte ao banco de dados de instância única em "Oracle Solaris 8 Containers" & "Oracle Solaris 9 Containers" (também conhecido como Solaris 8 Branded Zones e Solaris 9 Branded Zones) em um host executando o Solaris 10. As versões com suporte são Solaris 8 Containers 1.0.1 e Solaris 9 Containers 1.0.1 em execução no Solaris 10 atualização 10/8 e posterior. Verifique a documentação da versão apropriada do Oracle Database para garantir que as versões correspondentes do Solaris sejam compatíveis. Consulte Documentos para obter mais informações:
  • O banco de dados de instância única e Oracle RAC em Oracle Solaris Zones (também conhecido como Oracle Solaris Containers) em um Oracle VM Server for SPARC (LDoms) é compatível
  • O 11gR1 (11.1.0.7) Solaris 10 Logical Domains em Sparc de 64 bits requer o patch 7535429
  • O Oracle VM for SPARC (anteriormente conhecido como Logical Domains) são compatíveis com
    • Os servidores T8 e M8 requerem Solaris 11.4 SRU 13 ou SRUs posteriores para executar o banco de dados 12cR2 e posterior. As versões mais antigas do Solaris 11.4 e Solaris 11.3 em T8 e M8 requerem a correção para CR 29780225.
    • Oracle Single Instance e Oracle RAC 19c (19.5 com Patch 23211028) no Oracle Solaris 11.4 e SRUs posteriores.
    • Oracle Single Instance e Oracle RAC 19c (19.5 com Patch 23211028) no Oracle Solaris Cluster 4.4 SRU 5 e SRUs posteriores.
    • Oracle Single Instance e Oracle RAC 18c com a 18c OCW RU mais recente aplicada (mínimo 29932490 : Mesclar em OCW RU 18.6.0.0.0 OF 28574610 e 29143512) no Solaris 11.4 e SRUs posteriores
    • Oracle Single Instance e Oracle RAC 18c no Oracle Solaris Cluster 4.4 SRU 4 e SRUs posteriores.
    • Oracle RAC 12cR2 no Solaris 11.2 SRU5.5 ou posterior com
      • Oracle Clusterware 12cR2
    • Oracle Single Instance e RAC 12cR2 com
      • Oracle Solaris 10 atualização 11 (Oracle Solaris 10 1/13 s10s_u11wos_24a) ou atualizações posteriores com o Oracle Clusterware 12cR2
      • Oracle Solaris 11.2 SRU 5.5 (Oracle Solaris 11.2.5.5.0) ou atualizações SRU posteriores e Oracle Solaris 11.3 com Oracle Clusterware 12cR2
      • Oracle Solaris 11.3 com Oracle Solaris Cluster 4.3
      • Oracle Solaris 11.4 e SRUs posteriores com Oracle Clusterware 12cR2
      • Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
    • Oracle RAC 12cR1 (+ 12.1.0.2 Patch 19354794) no Solaris 11.1 SRU12.5 ou posterior com
      • Oracle Clusterware (+ 12.1.0.2 Patch 19354794)
    • Oracle Single Instance e RAC 12cR1 com
      • Oracle Solaris 10 8/11 (Atualização 10) ou posterior com o Oracle Solaris Cluster 3.3 e versões posteriores do 3.3
      • Oracle Solaris 11.1 com Oracle Solaris Cluster 4.1, 4.2
      • Oracle Solaris 11.2 com Oracle Solaris Cluster 4.1, 4.2, 4.3
      • Oracle Solaris 11.3 com Oracle Solaris Cluster 4.2, 4.3
      • (12.1.0.2) SRUs do Oracle Solaris 11.4 e posteriores com Oracle Clusterware 12cR1
      • Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
    • Oracle RAC 11gR2 (11.2.0.3+) com
      • Solaris versão 10 Atualização 6 ou posterior (patches 142900-12, 141870-03) com Oracle Clusterware 11.2
      • Solaris 11 com Oracle Clusterware 11.2.0.3.0
    • Oracle Single Instance e RAC 11gR2 com
      • Solaris versão 10 atualização 8 ou posterior com o Oracle Solaris Cluster 3.2 1/09 e versões posteriores do 3.2 e do Oracle Solaris Cluster 3.3
      • (11.2.0.3+) Oracle Solaris 11 com Oracle Solaris Cluster 4.0
      • (11.2.0.3+) Oracle Solaris 11.1, Oracle Solaris 11.2 e Oracle Solaris 11.3 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2 e Oracle Solaris Cluster 4.3
      • (11.2.0.4) Oracle Solaris 11.4 com Oracle Clusterware 11gR2
      • (11.2.0.4) Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
    • Oracle Single Instance e RAC 11gR1 com
      • Solaris versão 10 atualização 8 ou posterior com o Oracle Solaris Cluster 3.2 1/09 e versões posteriores do 3.2 e do Oracle Solaris Cluster 3.3
    • Oracle Single Instance e RAC 10gR2 com
      • Solaris versão 10 atualização 8 ou posterior com o Oracle Solaris Cluster 3.2 1/09 e versões posteriores do 3.2 e do Oracle Solaris Cluster 3.3
  • O Oracle VM Server Live Migration for SPARC 2.2 e posterior é compatível com o Oracle Single Instance 11gR2 no Solaris 10 e Solaris 11. Consulte o Oracle VM Server for SPARC 2.2 White paper técnico da migração dinâmica (PDF).
  • Consulte a nota 317257.1 do My Oracle Support para obter informações sobre as melhores práticas para implementar o banco de dados Oracle Single Instance em um Solaris Container.
  • Consulte o documento Melhores práticas de RAC/Contêiner para implementar o Oracle RAC em Solaris Containers.
  • O Oracle Solaris Containers é compatível com:
    • Oracle Single Instance e RAC 9iR2 (9.2.0.5 e superior), 10gR2 e 11gR1 (com Oracle Solaris Cluster em SPARC). Solaris versão 10 atualização 7 ou posterior (patches 141444-09, 143055-01, 142900-06, 143137-04 "patches md") com Oracle Solaris Cluster 3.3 e 3.2u2 corrigidos para 126106-39 ou posterior.
    • Oracle RAC 11.2.0.2 com patch 12419331 ou atualizações posteriores (para Oracle Solaris Cluster em SPARC). Solaris 10 9/10 (atualização 9) ou posterior (patch 142909-17) com Oracle Solaris Cluster 3.3.
    • Oracle Single Instance e RAC 12c versão 1 (para Oracle Solaris Cluster em SPARC). Solaris 10 8/11 (atualização 10 ) ou posterior com Oracle Solaris Cluster 3.3 ou posterior.
  • Os Oracle Solaris Containers são compatíveis com Oracle RAC 10gR2, 11gR1 e 11gR2 com Oracle Clusterware em SPARC. Solaris versão 10 atualização 8 ou posterior (patches 142900-14, 143055-01) com
    • Oracle Clusterware 10.2 (patch 9352164)
    • Oracle Clusterware 11.1 (patch 9207257, 9352179)
    • Oracle Clusterware 11.2.0.1 (patch 11840629)
    • Oracle Clusterware 11.2.0.2 (patch 12419353)
  • O Oracle Solaris Kernel Zones é compatível com:
    • Oracle Single Instance e Oracle RAC 12cR2 com Oracle Clusterware 12.2.0.1.180417 no Oracle Solaris em SPARC (64 bits) 11.3 SRU6 (e posterior)
    • Oracle Single Instance e Oracle RAC 12cR1 (para Oracle Clusterware no SPARC) no Oracle Solaris 11.2
    • Oracle Single Instance e Oracle RAC 19c no Oracle Solaris 11.4
  • O Oracle Solaris 11 Zones no Oracle Solaris Cluster é compatível com:
    • Os servidores T8 e M8 requerem Solaris 11.4 SRU 13 ou SRUs posteriores para executar o banco de dados 12cR2 e posterior. As versões mais antigas do Solaris 11.4 e Solaris 11.3 em T8 e M8 requerem a correção para CR 29780225.
    • Oracle Single Instance e Oracle RAC 19c (19.5 com Patch 23211028) no Oracle Solaris 11.4 e Oracle Solaris Cluster 4.4 SRU 5 e SRUs posteriores.
    • Oracle Single Instance e Oracle RAC 18c no Oracle Solaris 11.4 e no Oracle Solaris Cluster 4.4 SRU 4 e SRUs posteriores
    • Oracle Single Instance e Oracle RAC 12cR2 (para Oracle Solaris Cluster em SPARC) no Oracle Solaris 11.3 com Oracle Solaris Cluster 4.3
    • Oracle Single Instance e Oracle RAC 12cR2 (para Oracle Solaris Cluster em SPARC) no Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
    • Oracle Single Instance e Oracle RAC 12cR1 (para Oracle Solaris Cluster em SPARC) no Oracle Solaris 11.1, Oracle Solaris 11.2 e Oracle Solaris 11.3 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2 e Oracle Solaris Cluster 4.3.
    • Oracle Single Instance e Oracle RAC 12cR1 (12.1.0.2) (para Oracle Solaris Cluster em SPARC) no Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
    • Oracle Single Instance e Oracle RAC 11gR2 (11.2.0.3 e superior) no Oracle Solaris 11 com Oracle Solaris Cluster 4.0
    • Oracle Single Instance e Oracle RAC 11gR2 (11.2.0.3 e superior) no Oracle Solaris 11.1, Oracle Solaris 11.2 e Oracle Solaris 11.3 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2 e Oracle Solaris Cluster 4.3
    • Oracle Single Instance e Oracle RAC 11gR2 (11.2.0.4) no Oracle Solaris 11.4 com Oracle Solaris Cluster 4.4
  • O Oracle Solaris 11 Zones é compatível com:
    • Os servidores T8 e M8 requerem Solaris 11.4 SRU 13 ou SRUs posteriores para executar o banco de dados 12cR2 e posterior. As versões mais antigas do Solaris 11.4 e Solaris 11.3 em T8 e M8 requerem a correção para CR 29780225.
    • Oracle Single Instance e Oracle RAC 19c (19.5 com Patch 23211028) no Oracle Solaris 11.4 e SRUs posteriores.
    • Oracle Single Instance e Oracle RAC 18c com a 18c OCW RU mais recente aplicada (mínimo 29932490 : Mesclar em OCW RU 18.6.0.0.0 OF 28574610 e 29143512) no Solaris 11.4 e SRUs posteriores
    • Oracle Single Instance e Oracle RAC 12cR2 no Solaris 11.4 e SRUs posteriores
    • Oracle Single Instance e Oracle RAC 12cR1 (12.1.0.2) no Solaris 11.4 e SRUs posteriores
    • Oracle Single Instance e Oracle RAC 11gR2 (11.2.0.4) no Solaris 11.4 e SRUs posteriores
    • Oracle RAC 12cR2 com Oracle Clusterware 12.2.0.1.180417 no Oracle Solaris em SPARC (64 bits) 11.3 SRU6 (e posterior)
    • Oracle RAC 12cR1 (12.1.0.2 e superior) com Oracle Clusterware 12.1.0.2 PSU2 no Solaris 11.1 SRU19.6 (e posterior)
    • Oracle RAC 11gR2 (11.2.0.3 e superior) com Oracle Clusterware 11.2.0.3 PSU4 no Solaris 11.1 SRU4 (e posterior)
  • As zonas do Oracle Solaris 10 no Oracle Solaris 11.4 (e SRUs posteriores) são compatíveis com:
    • Oracle Single Instance 10gR2 (10.2.0.5), 11gR1 (11.1.0.7), 11gR2 (11.2.0.4) e 12cR1 (12.1.0.2)
    • Oracle RAC 10gR2 (10.2.0.5), 11gR1 (11.1.0.7) e 11gR2 (11.2.0.4) com o Oracle Clusterware correspondente
  • As zonas do Oracle Solaris 10 no Oracle Solaris 11.1 (CR 15806274 fixo no Solaris 11.1) são compatíveis com:
    • Oracle RAC 10gR2 (10.2.0.5 e superior) com Oracle Clusterware 10.2.0.5
    • Oracle RAC 11gR1 (11.1.0.7 e superior) com Oracle Clusterware 11.1.0.7
  • As zonas do Oracle Solaris 10 no Oracle Solaris 11 são compatíveis com
    • Oracle Single Instance 10gR2 e 11gR1
  • As zonas do Oracle Solaris 10 no Oracle Solaris 11.1, Oracle Solaris 11.2, Oracle Solaris 11.3 e Oracle Solaris 11.4 são compatíveis com
    • Oracle Single Instance 10gR2, 11gR1 e 11gR2 e Oracle RAC 10gR2, 11gR1 e 11gR2 (11.2.0.3 e posterior, sem UDLM) com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2, Oracle Solaris Cluster 4.3 e Oracle Solaris Cluster 4.4.

Notas do Oracle Solaris x86-64

  • Consulte a nota 317257.1 do My Oracle Support para obter informações sobre as melhores práticas para implementar o banco de dados Oracle Single Instance em um Solaris Container.
  • Consulte o documento Melhores práticas de RAC/Contêiner para implementar o Oracle RAC em Solaris Containers.
  • O Oracle Solaris Containers é compatível com o Oracle RAC 10gR2 e 11gR2 com o Oracle Clusterware no Solaris x86-64. Solaris 10 10/09 (Atualização 8) ou posterior (patches 142901-15, 142934-02) com
    • Oracle Clusterware 10.2 (patch 7172531)
    • Oracle Clusterware 11.2.0.1 (patch 11840629)
    • Oracle Clusterware 11.2.0.2 (patch 12419353)
  • O Oracle Solaris Containers é compatível com o Oracle RAC 10gR2 (patch 9654991) e 11gR2 (11.2.0.2 com o patch 12419331) com o Oracle Solaris Cluster no Solaris x86-64. Solaris 10 9/10 (atualização 9) ou posterior (patch 142910-17) com Oracle Solaris Cluster 3.3.
  • O Oracle Solaris Containers é compatível com o Oracle Single Instance e RAC 12c Versão 1 com Oracle Solaris Cluster no Solaris x86-64.Solaris 10 8/11 (atualização 10) ou posterior com Oracle Solaris Cluster 3.3 ou posterior.
  • O Oracle Solaris Zones é compatível com o Oracle Single Instance e o RAC no 12c Versão 1 e 12c Versão 2 com o Oracle Solaris Cluster no Solaris x86-64. Oracle Solaris 11.1, Oracle Solaris 11.2, Oracle Solaris 11.3 e Oracle Solaris 11.4 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2, Oracle Solaris Cluster 4.3 e Oracle Solaris Cluster 4.4. O Oracle Solaris Zones é compatível com o Oracle Single Instance e o Oracle RAC 11gR2 (11.2.0.3 e superior) no Oracle Solaris 11 com Oracle Solaris Cluster 4.0, Oracle Solaris 11.1, Oracle Solaris 11.2 e Oracle Solaris 11.3 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2 e Oracle Solaris Cluster 4.3.
  • As zonas do Oracle Solaris 10 são compatíveis com o Oracle Single Instance 10gR2 e o Oracle RAC 11gR2 (11.2.0.3 e superior) e 10gR2 (10.2.0.5) no Oracle Solaris 11.1, Oracle Solaris 11.2 e Oracle Solaris 11.3 com Oracle Solaris Cluster 4.1, Oracle Solaris Cluster 4.2 e Oracle Solaris Cluster 4.3.
  • Verifique a documentação da versão apropriada do Oracle Database para garantir que as versões correspondentes do Solaris sejam compatíveis. Consulte o documento a seguir para obter mais informações: http://www.oracle.com/virtualization/

Notas do IBM AIX Power

  • O Oracle DB 10gR2 (10.2.0.4) tem certificação para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 6.1 TL-02 SP2 e com o recurso WPAR com controle de versão (AIX5.3) no AIX 7.1 TL-01 SP4.
  • O Oracle DB 11gR2 (11.2.0.2 e superior) é certificado para ser usado com o recurso do IBM AIX Workload Partition (WPAR) do IBM AIX em AIX 6.1 e AIX 7.1
  • O Oracle DB 11gR2 (somente 11.2.0.4) é certificado para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits.
  • O Oracle DB 12cR1 (12.1.0.1 e superior) é certificado para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 6.1 com um nível mínimo de serviço de TL09 SP0 ou posterior, no AIX 7.1 TL04 SP1 ou posterior e no AIX 7.2 TL01 SP1 ou posterior
  • O Oracle DB 12cR2 (12.2.0.1 e superior) é certificado para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 7.1 com um nível mínimo de serviço de 7100-04-04-1717 ou posterior e no AIX 7.2 com um nível mínimo de serviço de 7200-01-02-1717 ou posterior
  • O Oracle DB 19c (19.3 e superior) é certificado para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 7.1 com um nível mínimo de serviço de TL09 SP3 ou posterior e no AIX 7.2 com um nível mínimo de serviço de TL04 SP1 ou posterior
  • O Oracle DB 19c (19.13 e superior) é certificado para ser usado com o recurso IBM AIX Workload Partition (WPAR) no AIX 7.3 com um nível mínimo de serviço de TL0 SP1 ou posterior
  • A pilha de software Oracle é compatível com implementações com a tecnologia de particionamento de hardware IBM Power Systems LPAR, incluindo o recurso de micropartição.
  • A pilha de software Oracle é compatível com implementações com o IBM Power Systems Virtual IO Server (VIOS), os ambientes RAC compatíveis estão listados na seção RAC. Consulte a matriz de compatibilidade de tecnologias RAC (RTCM) para plataformas UNIX para obter mais informações.
  • O Oracle DB 10gR2 (10.2.0.4) é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 5.3 com um nível mínimo de serviço de TL8 SP4 e AIX 6.1 com um nível mínimo de serviço de TL2 SP3
  • O Oracle DB 11gR1 é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 5.3 com um nível mínimo de serviço de TL09 SP5 e AIX 6.1 com um nível mínimo de serviço de TL04 SP01
  • O Oracle DB 11gR2 é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 5.3 com um nível mínimo de serviço de TL09 SP5
  • Oracle DB e RAC 11gR2 (11.2.0.2 e superior) com ASM é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 6.1 com um nível mínimo de serviço de TL04 SP01, no AIX 7.1 com um nível mínimo de serviço de TL00 SP02 e (somente 11.2.0.4) no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits.

    Além disso, o Oracle DB e RAC 11gR2 (11.2.0.3 e superior) com GPFS 3.4 e GPFS 3.5 é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 6.1 com um nível mínimo de serviço de TL07 SP03 ( 6100-07-03-1207), no AIX 7.1 com nível mínimo de serviço de TL01 SP03 (7100-01-03-1207) e (somente 11.2.0.4) no AIX 7.2 com nível mínimo de serviço de TL0 SP1 ( "7200-00-01 ") ou posterior, kernel de 64 bits.

  • O Oracle DB e RAC 12cR1 (12.1.0.2) é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 6.1 com um nível mínimo de serviço de TL08 SP01, no AIX 7.1 com um nível mínimo de serviço de TL03 SP03 e no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits

    Além disso, o Oracle DB e RAC 12cR1 (12.1.0.2 e superior) com GPFS 4.1 é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 7.1 com um nível mínimo de serviço de TL03 SP03 ou posterior, kernel de 64 bits.

  • O Oracle DB e RAC 12cR2 (12.2.0.1) é certificado para ser usado com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 7.1 com um nível mínimo de serviço de TL03 SP03 e no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits
  • O Oracle DB e o RAC 19c são certificados para serem usados com o recurso LPM (Live Partition Mobility) do IBM PowerVM no AIX 7.1 com um nível mínimo de serviço de TL05 SP01 e no AIX 7.2 com um nível mínimo de serviço de kernel TL4 SP1 ou posterior, de 64 bits
     
  • O Oracle DB e o RAC 19c (19.13 e superior) são certificados para serem usados com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 7.3 com um nível mínimo de serviço de TL0 SP01, kernel de 64 bits

    Além disso, o Oracle DB e o RAC 19c (19.7RU e superior) com GPFS 5.0 (5.0.5.0) são certificados para serem usados com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 7.1 com um nível mínimo de serviço de TL05 SP4 (7100-05-04-1914), no AIX 7.2 com um nível de serviço mínimo de TL04 SP2 (7200-04-01-1939) ou posterior, kernel de 64 bits

    Além disso, o Oracle DB e o RAC 19c (19.11RU e superior) com GPFS 5.1 (5.1.0.2) são certificados para serem usados com o recurso IBM PowerVM Live Partition Mobility (LPM) no AIX 7.2 com um nível de serviço mínimo de TL05 SP4 (7200-05-04-22222), no AIX 7.3 com um nível de serviço mínimo de TL00 SP2 (7300-00-002-22222220) ou posterior, kernel de 64 bits
     
  • O Oracle DB e RAC 11gR2 é certificado para ser usado com o recurso IBM PowerVM Active Memory Expansion (AME) no AIX 6.1 com um nível mínimo de serviço de TL06 SP05, no AIX 7.1 com um nível mínimo de serviço de TL00 SP03 e (11.2. 0.4 apenas) no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits. Consulte a Visão geral da Expansão de memória ativa (AME) para obter mais informações.
  • O Oracle DB e RAC 12cR1 é certificado para ser usado com o recurso IBM PowerVM Active Memory Expansion (AME) no AIX 7.2 com um nível mínimo de serviço de TL0 SP1 ("7200-00-01") ou posterior, kernel de 64 bits. Consulte a Visão geral da Expansão de memória ativa (AME) para obter mais informações.
  • O Oracle DB e o RAC 12cR2 são certificados para serem usados com o recurso IBM PowerVM Active Memory Expansion (AME) no AIX 7.2 com um nível mínimo de serviço de TL02 SP2 ("7200-02-02") ou posterior, kernel de 64 bits. Consulte a Visão geral da Expansão de memória ativa (AME) para obter mais informações.
  • Consulte a observação 1307544.1 do My Oracle Support sobre Informações de Certificação para Oracle Database em sistemas IBM AIX Power.

Notas do de HP-UX Itanium

Particionamento

  • A execução do Oracle Database 10gR2 de (10.2.0.3 e superior) instância única e 11gR2 com HP-UX Containers (SRP) v2.0.1 e superior no HP-UX 11.31 é compatível. O Oracle Database 11gR2 com ASM é compatível com SRP A.03.00 ou posterior. Consulte o White paper do HP SRP (PDF) .
  • A execução de Oracle Databases com particionamento de Hardware (nPAR) é compatível com os servidores apropriados
  • A execução de Oracle Databases com particionamento virtual (vPAR) é compatível com os servidores apropriados.

Informações do Itanium

  • Bancos de dados Oracle 9iR2, 10gR1, 10gR2 de instância única são compatíveis com o HPVM 3.5 e superior. Os bancos de dados Oracle 11gR1 de instância única são compatíveis com HPVM4.0 e superior.
  • A migração dinâmica do HP Integrity VM 4.1 e superior é atualmente compatível com os bancos de dados Oracle 10gR2 e 11gR1. A migração dinâmica do HP Integrity VM 4.2 é atualmente compatível com o banco de dados Oracle 11gR2.
  • Os bancos de dados de instância única Oracle 11gR2 são compatíveis com o HPVM 4.2 ou posterior, consulte a configuração mínima compatível abaixo:
    • VMHost: HP-UX 11.31 de setembro de 2008 ou posterior com HPVM 4.2 ou posterior em servidores HP Integrity com processadores multi-core. Uma falha foi observada ao testar o Oracle 11gr2 em servidores de integridade com processadores de núcleo único que executam o HPVM 4.2. Se estiver executando em sistemas de processador de núcleo único, entre em contato com o Suporte HP para obter detalhes sobre o problema. O patch HPVM necessário para resolver o problema é PHSS_41247.
    • VMGuest: Configuração recomendada do banco de dados Oracle (HP-UX 11.31 setembro de 2008 mais vários patches) junto com as bibliotecas convidadas do HPVM 4.2.
  • Os bancos de dados de instância única Oracle 12cR1 são compatíveis com o HPVM 6.2 ou posterior.
  • Os bancos de dados de instância única Oracle 12cR2, 18c e 19c são compatíveis com o HPVM 6.3 ou posterior.
  • Consulte o guia de instalação de instância única da Oracle e os guias de instalação, configuração e administração de máquinas virtuais HP Integrity:

Notas do HP-UX PA-RISC

Particionamento

  • A execução do Oracle Database 10gR2 de (10.2.0.3 e superior) instância única e 11gR2 com HP-UX Containers (SRP) v2.0.1 e superior no HP-UX 11.31 é compatível. O Oracle Database 11gR2 com ASM é compatível com SRP A.03.00 ou posterior. Consulte o White paper do HP SRP (PDF).
  • A execução de Oracle Databases com particionamento de hardware (nPAR) é compatível com servidores apropriados.
  • A execução de Oracle Databases com particionamento virtual (vPAR) é compatível com os servidores apropriados.

Notas do Linux x86

Informações do Oracle VM:

  • Os produtos Oracle são certificados para execução com o Oracle VM. Para obter uma lista completa de produtos certificados no Oracle VM e informações sobre o Oracle VM, consulte a observação do My Oracle Support 464754.1 .
  • A migração dinâmica é compatível somente com OVM 2.2.1 ou superior em x86 e x86-64 convidados. O suporte está disponível apenas para as versões mais recentes do Database PSU 10gR2 (10.2.0.5), 11gR1(11.1.0.7), 11gR2 (11.2.0.2) e GRID PSU versões 10gR2 (10.2.0.5), 11gR1(11.1.0.7)
  • Consulte a Matriz de compatibilidade de tecnologias RAC (RTCM) para plataformas Linux para obter mais informações.

Notas do Linux x86-64

Informações do Oracle VM:

  • Os produtos Oracle são certificados para execução com o Oracle VM. Para obter uma lista completa de produtos certificados no Oracle VM e informações sobre o Oracle VM, consulte a observação do My Oracle Support 464754.1.
  • A migração dinâmica é compatível somente com OVM 2.2.1 ou superior em x86 e x86-64 convidados. O suporte está disponível apenas para as versões mais recentes do Database PSU 10gR2 (10.2.0.5), 11gR1(11.1.0.7), 11gR2 (11.2.0.2) e GRID PSU versões 10gR2 (10.2.0.5), 11gR1(11.1.0.7).
  • Consulte a Matriz de compatibilidade de tecnologias RAC (RTCM) para plataformas Linux para obter mais informações.

Partições lógicas (LPAR):

  • O recurso de particionamento lógico do Hitachi Compute Blade (também conhecido como BladeSymphony Virtage) é compatível com as seguintes configurações:
  • Oracle Single Instance e RAC 10gR2 (10.2.0.5) e 11gR2 (11.2.0.2 e superior) com OL 5.x e RHEL 5.x (5.4 ou superior)
  • Oracle Single Instance e RAC 11gR2 (11.2.0.2 e superior) e 12cR1 (12.1.0.1 e superior) com OL 6.x e RHEL 6.x (6.1 ou superior)
  • Oracle Single Instance e RAC 12cR2 (12.2.0.1 e superior) com OL e RHEL 6.x (6.1 ou superior) e 7.x (7.1 ou superior).
  • Oracle Single Instance e RAC 18c com OL e RHEL 7.x (7.4 ou superior).

Oracle Linux Containers (LXC):

Contêineres Docker:

  • Consulte a nota 2216342.1 do My Oracle Support para obter conteúdo específico dos Contêineres Docker.
  • Consulte a nota 2488326.1 do My Oracle Support para Oracle RAC no Docker - Versões liberadas e problemas conhecidos

Máquina virtual baseada em kernel (KVM):

  • A máquina virtual baseada em kernel (KVM), também conhecida como virtualização KVM, é certificada com 12cR1, 18c e 19c Oracle Single Instance e Oracle RAC para todas as distribuições Oracle Linux 7 compatíveis, Oracle Database 12c Versão 2 (12.2) será certificado somente com Oracle Database Appliance e Exadata.
    • Oracle Linux 7.4 com o Unbreakable Enterprise Kernel 4: 4.1.12-124.19.2.el7uek.x86_64 ou posterior
    • Oracle Linux 7.4 com o Unbreakable Enterprise Kernel 5: 4.14.35-1818.1.6.el7uek.x86_64 ou posterior
    • Oracle Linux 7.4 com o kernel Compatível com Red Hat: 3.10.0-862.11.6.el7.x86_64 ou posterior
  • O KVM é certificado com o 19c Oracle Single Instance e o Oracle RAC para todas as distribuições compatíveis do Oracle Linux 8:
    • Oracle Linux 8.1 com o Unbreakable Enterprise Kernel 6:5.4.17-2011.0.7.el8uek.x86_64 ou posterior
    • Oracle Linux 8 com o kernel Red Hat Compatível:4.18.0-80.el8.x86_64 ou posterior

Notas do IBM System z

Informações de hardware:

  • A pilha de software Oracle é certificada e compatível com distribuições certificadas de Linux executadas nativamente em LPARs ou como um sistema operacional convidado em máquinas virtuais z/VM, implementadas em servidores IBM System ze LinuxONE de 64 bits.
  • Consulte a Matriz de compatibilidade de tecnologias RAC (RTCM) para plataformas Linux para obter mais informações.

Notas do Microsoft Windows x86-64

Microsoft Hyper-V:

  • Uma versão específica do Oracle Database Client é certificada para uma combinação de host/convidado Hyper-V sempre que a mesma versão de instância única do banco de dados for certificada para essa mesma combinação. Por exemplo, a instância única do Oracle Database 19c é certificada no host Hyper-V do Windows Server 2019 e no convidado do Windows Server 2019. Isso significa que o cliente Oracle Database 19c também é certificado na combinação host/convidado.
  • Oracle Single Instance e RAC 11gR2 (11.2.0.2 e superior) e 12cR1 (12.1.0.1 e superior) com Windows x64.

Partições lógicas (LPAR):

  • O recurso de particionamento lógico do Hitachi Compute Blade (também conhecido como BladeSymphony Virtage) é compatível com as seguintes configurações:
  • Oracle Single Instance e RAC 11gR2 (11.2.0.2 e superior) e 12cR1 (12.1.0.1 e superior) com Windows x64.

Informações do Oracle VM::

  • Para obter uma lista completa de produtos certificados no Oracle VM e informações sobre o Oracle VM, consulte a observação do My Oracle Support 464754.1.
  • A Oracle recomenda o uso de Drivers Paravirtuais (PV) para Microsoft Windows Versão 3.2.3 ou superior.

Oracle Certification Environment Supported Virtualization and Partitioning Technologies para versões de produtos Oracle Database e RAC

Copyright © 2019, Oracle. Todos os direitos reservados.

Esta documentação é fornecida sob um contrato de licença que contém restrições de uso e divulgação e é protegida por leis de propriedade intelectual. Exceto conforme expressamente permitido em seu contrato de licença ou permitido por lei, não é permitido usar, copiar, reproduzir, traduzir, transmitir, modificar, licenciar, transmitir, distribuir, exibir, executar, publicar ou exibir qualquer parte, de qualquer forma, ou por qualquer meio.

As informações aqui contidas estão sujeitas a alterações sem aviso prévio e não há garantia de que estejam livres de erros. Caso encontre algum erro, informe-nos enviando um email para certsup_ww@oracle.com

Oracle é uma marca registrada da Oracle Corporation e/ou suas afiliadas. Outros nomes podem ser marcas comerciais de seus respectivos proprietários.

Esta documentação pode fornecer acesso ou informações sobre conteúdo, produtos e serviços de terceiros. A Oracle Corporation e suas empresas afiliadas não fornecem quaisquer garantias relacionadas a conteúdos, produtos e serviços de terceiros e estão isentas de quaisquer responsabilidades associadas a eles. A Oracle Corporation e suas empresas afiliadas não são responsáveis por quaisquer tipos de perdas, despesas ou danos incorridos em consequência do acesso ou da utilização de conteúdos, produtos ou serviços de terceiros.